Skip to main content
Get A Registered Agent By Id.
curl --request GET \
  --url https://{api_endpoint}/v1/orchestrate/agents/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "<string>",
  "name": "<string>",
  "description": "<string>",
  "created_by": "<string>",
  "created_on": "2023-11-07T05:31:56Z",
  "updated_by": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "workspace_id": "00000000-0000-0000-0000-000000000001",
  "instructions": "<string>",
  "tools": [
    "<string>"
  ],
  "collaborators": [
    "<string>"
  ],
  "knowledge_base": [],
  "llm": "<string>",
  "supported_apps": [
    "slack/askhr"
  ],
  "deleted_by": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "environments": [],
  "agent_mapping": {},
  "hidden": true,
  "display_name": "<string>",
  "structured_output": {},
  "custom_join_tool": "<string>",
  "guidelines": [],
  "tags": [],
  "chat_with_docs": {
    "enabled": false,
    "supports_full_document": true,
    "vector_index": {
      "embeddings_model_name": "<string>",
      "chunk_size": 400,
      "chunk_overlap": 50,
      "limit": 10,
      "extraction_strategy": "standard"
    },
    "generation": {
      "model_id": "<string>",
      "prompt_instruction": "",
      "max_docs_passed_to_llm": 5,
      "generated_response_length": "Moderate",
      "display_text_no_results_found": "I searched my knowledge base, but did not find anything related to your query",
      "display_text_connectivity_issue": "I might have information related to your query to share, but am unable to connect to my knowledge base at the moment",
      "idk_message": "I'm afraid I don't understand. Please rephrase your question.",
      "enabled": false
    },
    "query_rewrite": {
      "enabled": true,
      "model_id": "<string>"
    },
    "confidence_thresholds": {
      "retrieval_confidence_threshold": "Lowest",
      "response_confidence_threshold": "Lowest"
    },
    "citations": {
      "citation_title": "How do we know?",
      "citations_shown": -1
    },
    "hap_filtering": {
      "output": {
        "enabled": false,
        "threshold": 0.5
      }
    },
    "query_source": "Agent",
    "agent_query_description": "The query to search for in the knowledge base"
  },
  "voice_configuration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "voice_webhook_connections": {},
  "additional_properties": {
    "icon": "<string>",
    "starter_prompts": {},
    "welcome_content": {},
    "context_settings": {
      "context_compaction_enabled": true,
      "context_compaction_threshold": 123,
      "compaction_sliding_window": 123,
      "large_message_threshold": 123,
      "large_message_chunk_size": 123,
      "large_message_target_summary": 123,
      "large_message_detect_structured": true
    },
    "realtime_agent_settings": {
      "enabled": true
    }
  },
  "context_access_enabled": true,
  "connection_ids": [],
  "context_variables": [],
  "hide_reasoning": false,
  "sync_tool_flow_interactions": true,
  "restrictions": "editable",
  "bundled": false,
  "bundled_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "llm_config": {
    "decoding_method": "<string>",
    "prompt": "<string>",
    "max_tokens": 123,
    "max_completion_tokens": 123,
    "temperature": 123,
    "top_p": 123,
    "n": 123,
    "stream": true,
    "logprobs": 123,
    "top_logprobs": true,
    "echo": true,
    "stop": "<string>",
    "presence_penalty": 123,
    "frequency_penalty": 123,
    "best_of": 123,
    "logit_bias": {},
    "user": "<string>",
    "context": "<string>",
    "examples": [
      {
        "input": "<unknown>",
        "output": "<unknown>"
      }
    ],
    "top_k": 123,
    "response_format": {
      "type": "<string>",
      "json_schema": null
    },
    "seed": 123,
    "store": true,
    "metadata": {},
    "modalities": [
      "<string>"
    ],
    "audio": {
      "voice": "<string>",
      "format": "<string>"
    },
    "service_tier": "<string>",
    "prediction": {
      "type": "<string>",
      "content": [
        {
          "type": "<string>",
          "text": "<string>"
        }
      ]
    },
    "safety_settings": null,
    "anthropic_beta": "<string>",
    "anthropic_version": "<string>",
    "thinking": {
      "budget_tokens": 123,
      "type": "<string>"
    },
    "space_id": "<string>",
    "project_id": "<string>",
    "reasoning_effort": "<string>",
    "parallel_tool_calls": true,
    "disable_parallel_tool_use": true,
    "disable_tool_validation": true,
    "verbosity": "<string>",
    "thinking_level": "<string>"
  },
  "plugins": {
    "agent_pre_invoke": [
      {
        "plugin_id": "<string>"
      }
    ],
    "agent_post_invoke": [
      {
        "plugin_id": "<string>"
      }
    ]
  },
  "toolkits": [
    "<string>"
  ],
  "memory_enabled": false,
  "is_schedulable": false,
  "custom_agents_metadata": {
    "language": "<string>",
    "framework": "<string>",
    "tool_count": 123,
    "tool_names": [
      "<string>"
    ],
    "connection_requirements": {}
  },
  "deleted_semantic_versions": []
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Successful Response

Schema for fetching agent.

id
string<uuid>
required

Unique identifier for the agent

tenant_id
string
required

ID of the tenant that owns this agent

name
string
required

Name of the agent

description
string
required

Description of what the agent does

style
enum<string>
required

Style of the agent

Available options:
default,
react,
planner,
custom,
react_intrinsic,
experimental_customer_care,
code_act
created_by
string
required

ID of the user who created the agent

created_on
string<date-time>
required

Creation timestamp

updated_by
string
required

ID of the user who updated the agent

updated_at
string<date-time>
required

Last update timestamp

workspace_id
string<uuid> | null
default:00000000-0000-0000-0000-000000000001

ID of the workspace that owns this agent

instructions
string | null

Instructions for the agent

tools
string[]

List of tool names available to the agent

collaborators
string[]

List of other agent names this agent can collaborate with

knowledge_base
string[]
llm
string | null

LLM identifier for the agent

supported_apps
enum<string>[] | null

Supported apps of the agent

Available options:
slack/askhr
deleted_by
string | null
deleted_at
string<date-time> | null
environments
EnvironmentSchema · object[]

List of simplified environments associated with the agent

agent_mapping
Agent Mapping · object
hidden
boolean

To show or hide agent when agents are listed

display_name
string | null

Display name of the agent

structured_output
Structured Output · object

JSON schema defining the structure for agent responses

custom_join_tool
string | null

Reference to a Python tool that will be used for custom synthesis of task results

guidelines
Guideline · object[]

List of guidelines for the agent behavior

tags
string[] | null

List of tags associated to agent

chat_with_docs
ChatWithDocsConfig · object

Chat with Documents config for Agent

voice_configuration_id
string<uuid> | null

Voice configuration for the agent

voice_webhook_connections
Voice Webhook Connections · object

Voice webhook connections organized by environment (draft/live)

additional_properties
AgentAdditionalProperties · object

Agent Additional Settings

context_access_enabled
boolean
default:true

Enable access to context variables for this agent

connection_ids
string[]

List of connection IDs for direct agent-to-connection bindings

context_variables
string[]

List of context variable names that this agent can access

hide_reasoning
boolean
default:false

Enable/disable reasoning trace

sync_tool_flow_interactions
boolean
default:true

Enable/disable syncing user interactions from tool flow to the agent

restrictions
string
default:editable

Enable editable for the colloborator agent

bundled
boolean | null
default:false

Catalog Agent bundled flag

bundled_agent_id
string<uuid> | null

Base agent id

llm_config
ModelConfig · object
plugins
Plugins · object

Plugins and hook points associated to the agents

toolkits
string[]

List of toolkit ids available to the agent

memory_enabled
boolean
default:false

Enable/disable agentic memory for this agent

is_schedulable
boolean
default:false

Indicates whether this agent can be scheduled for tasks

custom_agents_metadata
CustomAgentsMetadata · object

Metadata for custom agents

deleted_semantic_versions
string[]

Track deleted semantic versions to prevent reuse (V2 API)